#!/bin/sh

echo "/* This file is autogenerated by autoconfig.sh. */" > config.h

JACK_VERSION=`pkg-config --modversion jack`

MIDDLE_NUMBER=`echo $JACK_VERSION | sed 's/[^.]*\.\([^.]*\)\.[^.]*/\1/'`

# According to oofus/#lad, "it looks like the jack midi branch was merged
# at SVN 1035 and jack version was bumped 0.105.0 at that point".
if [ $MIDDLE_NUMBER -ge 105 ]; then
	echo "JACK version $JACK_VERSION: new JACK MIDI API."
elif [ $MIDDLE_NUMBER -ge 102 ]; then 
	echo "#define JACK_MIDI_NEEDS_NFRAMES 1" >> config.h
	echo "JACK version $JACK_VERSION: older JACK MIDI API."
else
	echo "This version of JACK ($JACK_VERSION) does not seem to support JACK MIDI, sorry."
	rm -f config.h
	return 1
fi

LASH_VERSION=`pkg-config --modversion lash-1.0 2> /dev/null`

if [ $? -eq 0 ]; then
	echo "LASH version $LASH_VERSION."
	echo "#define WITH_LASH 1" >> config.h
else
	echo "LASH not found."
fi

X11_VERSION=`pkg-config --modversion x11 2> /dev/null`

if [ $? -eq 0 ]; then
	echo "X11 version $X11_VERSION."
	echo "#define WITH_X11 1" >> config.h
else
	echo "X11 not found."
fi

